icu::number::impl::MacroProps Struct Reference

`#include <numberformatter.h>`

Inheritance diagram for icu::number::impl::MacroProps:

## Public Member Functions

bool | copyErrorTo (UErrorCode &status) const
| Check all members for errors. More...

## Data Fields

Notation | notation
MeasureUnit | unit
MeasureUnit | perUnit
Precision | precision
UNumberFormatRoundingMode | roundingMode = UNUM_ROUND_HALFEVEN
Grouper | grouper
Padder | padder
IntegerWidth | integerWidth
SymbolsWrapper | symbols
UNumberUnitWidth | unitWidth = UNUM_UNIT_WIDTH_COUNT
UNumberSignDisplay | sign = UNUM_SIGN_COUNT
bool | approximately = false
UNumberDecimalSeparatorDisplay | decimal = UNUM_DECIMAL_SEPARATOR_COUNT
Scale | scale
StringProp | usage
StringProp | unitDisplayCase
const AffixPatternProvider * | affixProvider = nullptr
const PluralRules * | rules = nullptr
int32_t | threshold = kInternalDefaultThreshold
Locale | locale

## Detailed Description

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1522 of file numberformatter.h.

## Member Function Documentation

## copyErrorTo()

bool icu::number::impl::MacroProps::copyErrorTo | ( | UErrorCode & | status | ) | const

inline

Check all members for errors.

Internal:
  Do not use. This API is for internal use only.

Definition at line 1591 of file numberformatter.h.

References icu::number::impl::SymbolsWrapper::copyErrorTo().

## Field Documentation

## affixProvider

const AffixPatternProvider* icu::number::impl::MacroProps::affixProvider = nullptr

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1574 of file numberformatter.h.

## approximately

bool icu::number::impl::MacroProps::approximately = false

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1559 of file numberformatter.h.

## decimal

UNumberDecimalSeparatorDisplay icu::number::impl::MacroProps::decimal = UNUM_DECIMAL_SEPARATOR_COUNT

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1562 of file numberformatter.h.

## grouper

Grouper icu::number::impl::MacroProps::grouper

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1539 of file numberformatter.h.

## integerWidth

IntegerWidth icu::number::impl::MacroProps::integerWidth

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1545 of file numberformatter.h.

## locale

Locale icu::number::impl::MacroProps::locale

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1583 of file numberformatter.h.

## notation

Notation icu::number::impl::MacroProps::notation

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1524 of file numberformatter.h.

## padder

Padder icu::number::impl::MacroProps::padder

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1542 of file numberformatter.h.

## perUnit

MeasureUnit icu::number::impl::MacroProps::perUnit

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1530 of file numberformatter.h.

## precision

Precision icu::number::impl::MacroProps::precision

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1533 of file numberformatter.h.

## roundingMode

UNumberFormatRoundingMode icu::number::impl::MacroProps::roundingMode = UNUM_ROUND_HALFEVEN

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1536 of file numberformatter.h.

## rules

const PluralRules* icu::number::impl::MacroProps::rules = nullptr

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1577 of file numberformatter.h.

## scale

Scale icu::number::impl::MacroProps::scale

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1565 of file numberformatter.h.

## sign

UNumberSignDisplay icu::number::impl::MacroProps::sign = UNUM_SIGN_COUNT

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1556 of file numberformatter.h.

## symbols

SymbolsWrapper icu::number::impl::MacroProps::symbols

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1548 of file numberformatter.h.

## threshold

int32_t icu::number::impl::MacroProps::threshold = kInternalDefaultThreshold

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1580 of file numberformatter.h.

## unit

MeasureUnit icu::number::impl::MacroProps::unit

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1527 of file numberformatter.h.

## unitDisplayCase

StringProp icu::number::impl::MacroProps::unitDisplayCase

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1571 of file numberformatter.h.

## unitWidth

UNumberUnitWidth icu::number::impl::MacroProps::unitWidth = UNUM_UNIT_WIDTH_COUNT

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1553 of file numberformatter.h.

## usage

StringProp icu::number::impl::MacroProps::usage

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1568 of file numberformatter.h.

The documentation for this struct was generated from the following file:

- i18n/unicode/numberformatter.h